import { Query } from '@datorama/akita';
import manageBenefitsStore from './manage-benefits.store';
export class ManageBenefitsQuery extends Query {
  constructor(store) {
    super(store);
    this.store = store;
    this.manageBenefitsPageState$ = this.select((state) => state.manageBenefitsPageState);
    this.isLoading$ = this.selectLoading();
  }
}
export default new ManageBenefitsQuery(manageBenefitsStore);
